楕円を「中心点と2つの半径」で作成する

Create a Ellipse with a center point and 2 radiuses.

 

メモ|Note

  • GrasshopperではPointかPlaneを基点として入力でき、Dynamoでは基点の座標系、PointとPlaneが別々のノードになっている。
  • Grasshopperでは楕円の焦点も出力される。

 

スクリプト|Script

rhinoscriptsyntax Design Script
AddEllipse(plane, radiusX, radiusY) Ellipse.ByCoordinateSystemRadii(cs, radiusX, radiusY)

Ellipse.ByOriginRadii(origin, radiusX, radiusY)

Ellipse.ByPlaneRadii(plane, radiusX, radiusY)

 

 

索引|Index

Grasshopper Dynamo
[Curve > Primitive > Ellipse] [Geometry > Curves > Ellipse > ByCoordinateSystemRadii]

 

[Geometry > Curves > Ellipse > ByOriginRadii]

 

[Geometry > Curves > Ellipse > ByPlaneRadii]

 

 

コメントを残す